Skip to main content
POST
/
public
/
fitting-room
curl -X POST "https://your-store.myshopify.com/apps/proxy_genlook-x/public/fitting-room" \
  -H "Content-Type: application/json" \
  -d '{
    "userImageId": "file_abc123xyz",
    "productId": "gid://shopify/Product/456789",
    "variantId": "gid://shopify/ProductVariant/123456"
  }'
{
  "jobId": "gen_xyz789abc",
  "message": "Generation job created successfully"
}
Create a virtual try-on generation job. Returns immediately with a jobId — poll Generation Status for the result.

Request

userImageId
string
required
The fileId from a previous upload.
productId
string
required
Shopify product ID (gid://shopify/Product/{id}).
variantId
string
Shopify variant ID (gid://shopify/ProductVariant/{id}). Uses the default variant if omitted.
curl -X POST "https://your-store.myshopify.com/apps/proxy_genlook-x/public/fitting-room" \
  -H "Content-Type: application/json" \
  -d '{
    "userImageId": "file_abc123xyz",
    "productId": "gid://shopify/Product/456789",
    "variantId": "gid://shopify/ProductVariant/123456"
  }'

Response

jobId
string
required
Generation job ID. Use it to poll status.
message
string
required
Status message or reason the generation was blocked.
code
string
Present when generation was blocked:
  • QUOTA_EXCEEDED — Monthly quota reached
  • RATE_LIMIT_EXCEEDED — Too many requests
  • BILLING_NOT_ALLOWED — Plan expired
  • CREATION_FAILED — Job could not be created
{
  "jobId": "gen_xyz789abc",
  "message": "Generation job created successfully"
}

Next Steps

  1. Store the jobId
  2. Poll Generation Status every 2 seconds
  3. Display the result when status is COMPLETED